How to use Policy Search API

Search verified auto insurance policies, auto ID cards, and home insurance policies from major insurance providers without the need for login credentials using Canopy Connect's Policy Search API.

Search Types

The Policy Search API supports three credential-less search types.

Search TypeDescription
Auto ID Card SearchSearch for an Auto ID Card
Auto Insurance Policy SearchSearch for an Auto insurance policy
Home Insurance Policy SearchSearch for a Home insurance policy

Data flow

  1. Initiate a policy search by sending a request to the Policy Search API
  2. Use webhooks to receive realtime notifications when the searches complete. You can access the result from the Dashboard or API:
    1. View submissions on the Dashboard
    2. Fetch the structured data and documents via the GET /pulls/:pullId endpoint

Endpoint

POST https://app.usecanopy.com/api/v1.0.0/teams/{teamId}/policySearch

{teamId} is your Canopy Connect Team ID. You can access your Team ID from the API Settings page.


Authentication & headers

HeaderValue
x-canopy-client-idYour API client ID
x-canopy-client-secretYour API client secret
Content-Typeapplication/json
Acceptapplication/json

If you are acting on behalf of another team via an App, send an Authorization: Bearer <access_token> header instead of the x-canopy-client-* headers — do not send both.


Request body

The request body is JSON with these top-level fields:

FieldTypeRequiredDescription
public_aliasstringThe public alias of the widget the search runs under.
insurerNamestringThe carrier identifier. Auto ID card is supported for allstate, farmers, and nationwide.
searchTypestring (enum)
  • "AUTO_ID_CARD" for auto ID card search
  • "AUTO_POLICY" for auto insurance policy search
  • "HOME_POLICY" for home insurance policy search
searchDataobjectThe carrier-specific input fields, keyed exactly as shown in the table below. All values are strings.
meta_dataobjectOptional. Arbitrary key/value pairs echoed back on the pull for your own tracking.
device_identifierstring⚠️Unique ID representing the device/End User that provided consent. Required when policyholder consent is required. See Consent fields.
terms_versionnumber⚠️Version of Canopy Connect TOS that the End User provided consent for. Required when policyholder consent is required. See Consent fields.
consent_languagestring⚠️Text shown to End User on the button that the End User clicks to affirmatively provide their consent. Required when policyholder consent is required. See Consent fields.

Auto ID Card Search

Auto ID Card Search returns verified Auto ID Card info without the need for login credentials.

Carrier-specific Search Input and Output

AllstateFarmersNationwide
Inputs
Policy NumberOption AOption A
ZipRequiredRequired
First NameRequiredOption B
Last NameRequiredOption B
Date of BirthOption BRequired
Email addressRequired
Mobile numberRequiredRequiredOption B
Mobile OTP (one-time password)RequiredRequiredOption B
Outputs
Auto ID Card PDF
Insurance company name
Insurance company address
Policy Status
Policy Effective Date
Policy Expiry Date
Policy Number
Vehicle Details
Named Insured
Named Insured AddressPartial (State)Partial (State)
Agent full name
Agent phone
Agent address

Inputs, keys, and per-carrier requirements

This table is the reference for the searchData object: the keys and values to supply, and the options by insurance provider. Keys are camelCase and case-sensitive, and all values are strings.

InputsearchData keyFormatAllstateFarmersNationwide
ZipzipCode"98712"RequiredRequired
Email addressemailAddress"[email protected]"Required
Mobile numbermobileNumberDigits only, eg. "5555550100"Required
Date of birthdateOfBirth"MM/DD/YYYY"Option BRequired
Identification methodpolicyNumberOrInfo (farmers)
policyOrPhoneNumber (nationwide)
Pick your search option by supplying this valueRequiredRequired
Policy numberpolicyNumberAlphanumericOption AOption A
First namefirstNameRequiredOption B
Last namelastNameRequiredOption B
Phone numberphoneNumberDigits only, eg. "5555550100"Option B

Search options

For some insurance providers, there are multiple search options. When you choose Option A, supply all of Option A's fields. When you choose Option B, supply all of Option B's fields. Set the Identification method to choose your search option.

Insurance providerIdentification methodSearch options
FarmerspolicyNumberOrInfoOption A = "policyNumber"
Supply policyNumber in searchData

Option B = "info"
Supply firstName, lastName, dateOfBirth in searchData
NationwidepolicyOrPhoneNumberOption A = "policyNumber"
Supply policyNumber in searchData

Option B = "phoneNumber"
Supply phoneNumber in searchData


Send exactly the fields required for the search. No missing required fields, no extra fields.


Consent fields

Allstate, Progressive, Farmers and Nationwide Auto ID Card searches require the policyholder's consent, so their requests must include device_identifier, terms_version, and consent_language at the top level of the body.


Example: Farmers Auto ID Card Search (via personal info)

curl -X POST https://app.usecanopy.com/api/v1.0.0/teams/{teamId}/policySearch \
  -H 'x-canopy-client-id: YOUR_CLIENT_ID' \
  -H 'x-canopy-client-secret: YOUR_CLIENT_SECRET' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -d '{
    "public_alias": "your-widget-alias",
    "insurerName": "farmers",
    "searchType": "AUTO_ID_CARD",
    "searchData": {
      "zipCode": "12345",
      "policyNumberOrInfo": "info",
      "firstName": "John",
      "lastName": "Doe",
      "dateOfBirth": "01/25/1990"
    },
    "device_identifier": "your-device-identifier",
    "terms_version": 1,
    "consent_language": "By selecting “Continue” you agree to the Canopy Connect Terms & Privacy Policy"
  }'

Example: Farmers Auto ID Card Search (via policy number)

{
  "public_alias": "your-widget-alias",
  "insurerName": "farmers",
  "searchType": "AUTO_ID_CARD",
  "searchData": {
    "zipCode": "12345",
    "policyNumberOrInfo": "policyNumber",
    "policyNumber": "000000000"
  },
  "device_identifier": "your-device-identifier",
  "terms_version": 1,
  "consent_language": "By selecting “Continue” you agree to the Canopy Connect Terms & Privacy Policy"
}

Example: Allstate Auto ID Card Search

{
  "public_alias": "your-widget-alias",
  "insurerName": "allstate",
  "searchType": "AUTO_ID_CARD",
  "searchData": {
    "firstName": "John",
    "lastName": "Doe",
    "emailAddress": "[email protected]",
    "mobileNumber": "5555550100"
  },
  "device_identifier": "your-device-identifier",
  "terms_version": 1,
  "consent_language": "By selecting “Continue” you agree to the Canopy Connect Terms & Privacy Policy"
}

Example: Nationwide Auto ID Card Search (via phone number)

{
  "public_alias": "your-widget-alias",
  "insurerName": "nationwide",
  "searchType": "AUTO_ID_CARD",
  "searchData": {
    "zipCode": "12345",
    "dateOfBirth": "01/25/1990",
    "policyOrPhoneNumber": "phoneNumber",
    "phoneNumber": "5555550100"
  },
  "device_identifier": "your-device-identifier",
  "terms_version": 1,
  "consent_language": "By selecting “Continue” you agree to the Canopy Connect Terms & Privacy Policy"
}

Immediate response

A successful request returns 200 with the new Pull's ID and JWT you can use to track it:

{
  "pull_id": "00000000-0000-0000-0000-000000000000",
  "pull_jwt": "eyJhbGciOi..."
}

Error responses

StatusMeaning
400Invalid input. Invalid searchType/insurerName, unknown public_alias, or searchData is missing a required field or contains an extra field.
401Missing or invalid API credentials.
403API key inactive, IP not whitelisted, or your account lacks access to Policy Search.
500Unexpected server error while starting the search.

Note on multi-factor authentication (OTP)

Allstate and Farmers send a one-time passcode (OTP) to the policyholder as part of the insurance provider verification. This OTP is not part of the initial searchData — it is handled after the search is initiated.


Example Auto ID Card Search Result

Use webhooks to receive realtime notifications when verification complete. Fetch the Auto ID Card data via the GET /pulls/:pullId endpoint

{
  "success": true,
  "pull": {
    "answers": [],
    "first_name": "Clark",
    "middle_name": "J",
    "last_name": "Kent",
    "work_phone": null,
    "work_phone_extension": null,
    "mobile_phone": "8885550000",
    "home_phone": null,
    "gender": null,
    "marital_status": null,
    "education": null,
    "occupation": null,
    "email": "[email protected]",
    "account_email": "[email protected]",
    "phone": null,
    "pull_id": "b8ae87fc-9dec-4e85-8eb0-74f9d7b004ac",
    "status": "SUCCESS",
    "insurance_provider_name": "allstate",
    "team_id": "e0e8deb1-6806-4c71-8a69-93c07bd698e5",
    "widget_id": "9e1a5a8a-7d96-47c8-bb55-df6be2a4f924",
    "is_archived": false,
    "created_at": "2025-07-06T00:07:17.813Z",
    "no_policies": false,
    "no_documents": false,
    "no_claims": false,
    "no_loss_events": false,
    "policies_selection_enabled": false,
    "type": "POLICY_LOOKUP",
    "skipped_product_types": null,
    "insurance_type_selection": null,
    "meta_data": null,
    "insurance_provider_friendly_name": "Allstate",
    "no_drivers": false,
    "account_identifier": null,
    "public_alias": "demo",
    "deleted_at": null,
    "public_url": "https://app.usecanopy.com/c/demo",
    "encountered_mfa": true,
    "funnel": null,
    "policies": [
      {
        "policy_id": "6c35d0f0-0e72-4138-bc16-8272b1c0e3e5",
        "name": "AUTO # 123456789",
        "description": "Effective 02/16/2025 - 08/16/2025",
        "carrier_policy_number": "123456789",
        "policy_type": "AUTO",
        "effective_date": "2025-03-16T07:00:00.000Z",
        "expiry_date": "2025-09-16T07:00:00.000Z",
        "renewal_date": "2025-09-16T07:00:00.000Z",
        "canceled_date": null,
        "total_premium_cents": null,
        "carrier_name": "allstate",
        "status": "ACTIVE",
        "limited_access": false,
        "form_of_business": null,
        "deductible_cents": null,
        "paid_in_full": null,
        "amount_due_cents": null,
        "amount_paid_cents": null,
        "is_selected": false,
        "total_estimated_annual_premium_cents": null,
        "total_minimum_premium_cents": null,
        "total_deposit_premium_cents": null,
        "carrier_friendly_name": "Allstate",
        "is_monoline": true,
        "dwellings": [],
        "locations": [],
        "vehicles": [
          {
            "vehicle_id": "25ff9b6c-75c6-4369-b6b6-a1140294cf23",
            "year": 2021,
            "make": "KIA",
            "model": "Telluride",
            "series": "EX",
            "series2": "Wagon body style",
            "type": "MULTIPURPOSE PASSENGER VEHICLE (MPV)",
            "annual_mileage": null,
            "vin": "1ABC2DEF3GH456789",
            "hin": null,
            "serial_number": null,
            "uses": null,
            "purchase_date": null,
            "ownership_type": null,
            "features": null,
            "is_removed": false,
            "data_source": "CARRIER",
            "lien_holder": null,
            "garaging_address": null,
            "lien_holder_address": null,
            "coverages": [],
            "drivers": [
              {
                "first_name": "Lois",
                "middle_name": "",
                "last_name": "Lane",
                "drivers_license": null,
                "date_of_birth_str": null,
                "gender": null,
                "marital_status": null,
                "age": null,
                "age_on_date": null,
                "education": null,
                "occupation": null,
                "age_licensed": null,
                "data_source": "CARRIER",
                "driver_id": "90d0fda0-9ea5-4a58-9dee-a46a3099823b",
                "is_excluded": false
              },
              {
                "first_name": "Clark",
                "middle_name": "J",
                "last_name": "Kent",
                "drivers_license": null,
                "date_of_birth_str": null,
                "gender": null,
                "marital_status": null,
                "age": null,
                "age_on_date": null,
                "education": null,
                "occupation": null,
                "age_licensed": null,
                "data_source": "CARRIER",
                "driver_id": "d880d5e2-7887-4ab9-8890-787d7e414d2e",
                "is_excluded": false
              }
            ],
            "GaragingAddress": null,
            "LienHolderAddress": null
          }
        ],
        "commercial_named_insureds": [],
        "named_insureds": [
          {
            "named_insured_id": "d982455d-e40b-4d4e-abf5-c69ca9882f58",
            "first_name": "Clark",
            "middle_name": "J",
            "last_name": "Kent",
            "full_name": "Clark J Kent",
            "is_primary_named_insured": null
          },
          {
            "named_insured_id": "8fc4ebdd-101b-4e1d-b74c-3119962c2b4f",
            "first_name": "Lois",
            "middle_name": "",
            "last_name": "Lane",
            "full_name": "Lois Lane",
            "is_primary_named_insured": null
          }
        ],
        "transactions": [],
        "notices": [],
        "billing_accounts": [],
        "payments": []
      }
    ],
    "drivers": [
      {
        "first_name": "Clark",
        "middle_name": "J",
        "last_name": "Kent",
        "drivers_license": null,
        "date_of_birth_str": null,
        "gender": null,
        "marital_status": null,
        "age": null,
        "age_on_date": null,
        "education": null,
        "occupation": null,
        "age_licensed": null,
        "data_source": "CARRIER",
        "driver_id": "d880d5e2-7887-4ab9-8890-787d7e414d2e"
      },
      {
        "first_name": "Lois",
        "middle_name": "",
        "last_name": "Lane",
        "drivers_license": null,
        "date_of_birth_str": null,
        "gender": null,
        "marital_status": null,
        "age": null,
        "age_on_date": null,
        "education": null,
        "occupation": null,
        "age_licensed": null,
        "data_source": "CARRIER",
        "driver_id": "90d0fda0-9ea5-4a58-9dee-a46a3099823b"
      }
    ],
    "documents": [
      {
        "document_id": "1ee25a42-ee85-484e-b2d7-07530cb89eda",
        "title": "07-05-2025 - AUTO # 123456789 - Insurance ID Card",
        "date_added": null,
        "document_type": "INSURANCE_ID_CARD",
        "policy_id": null,
        "document_source": "CARRIER",
        "document_parsing_result": null,
        "document_parsing_error_message": null,
        "parser_id": null,
        "policy_transaction_id": null,
        "policy_notice_id": null
      }
    ],
    "addresses": [],
    "claims": [],
    "driving_records": [],
    "loss_events": [],
    "agents": [],
    "non_policy_linked_data": {
      "dwellings": [],
      "vehicles": []
    }
  }
}

Auto Insurance Policy Search

Auto Insurance Policy Search returns verified auto insurance policy information without the need for login credentials.


Carrier-specific Search Input and Output

State FarmProgressive Options A, BProgressive Option CUSAAAmerican Family
Inputs
Policy NumberOption AOption AOption CFirst 9 digits (”USAA number”)Required
VIN (partial)Option BOption A (last 6 digits)Required (last 5 digits)
VIN (full)Option COption BRequired
Last NameRequired
Date of BirthOption C
Garaging addressOption D
ZIPOption C
Outputs
Declarations Page PDFVerification of Insurance PDF
Insurance company name
Insurance company address
Policy Status
Policy Effective Date
Policy Expiry Date
Policy Number
Vehicle Details
Vehicle CoveragesBodily Injury, Property Damage, Comprehensive, CollisionBodily Injury, Property Damage, Comprehensive, CollisionCollision and Comprehensive deductibles
Lienholder name
Lienholder address
Named Insured
Named Insured Address
Agent full name
Agent phone
Agent address

Inputs, keys, and per-carrier requirements

This table is the reference for the searchData object: the keys and values to supply, and the options by insurance provider. Keys are camelCase and case-sensitive, and all values are strings.

InputsearchData keyFormatState FarmProgressiveUSAAAmerican Family
Policy numberpolicyNumberText, alphanumericOption A. Supply autoSearchMethod:"POLICY_NUMBER"
in searchData along with policyNumber
Option A, Option CFirst 9 digits ("USAA number")Required
VIN (partial)vinLastSixText, digits onlyOption B (last 6 digits). Supply autoSearchMethod:"VIN_LAST_SIX"
in searchData along with vinLastSix
Option A (last 6 digits)Required (last 5 digits)
VIN (full)vinText, digits onlyOption C. Supply autoSearchMethod:"VIN"in searchData along with vinOption BRequired
Last NamelastNameTextRequired
Date of BirthdateOfBirthText in "MM/DD/YYYY" formatOption C
ZipzipCodeText, eg. "98712"Option C
Garaging addressSupply street, street2, city, state, zipCodeText values for street, street2, city, state, zipCodeOption D. Supply autoSearchMethod:"ADDRESS" in searchData along with text values for street, street2, city, state, zipCode

Example: State Farm Auto Insurance Policy Search (Option D)

curl -X POST https://app.usecanopy.com/api/v1.0.0/teams/{teamId}/policySearch \
  -H 'x-canopy-client-id: YOUR_CLIENT_ID' \
  -H 'x-canopy-client-secret: YOUR_CLIENT_SECRET' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -d '{
    "public_alias": "your-widget-alias",
    "insurerName": "statefarm",
    "searchType": "AUTO_POLICY",
    "searchData": {
      "autoSearchMethod": "ADDRESS",
      "street": "123 Main St",
      "street2: "Apt 567",
      "city": "Memphis",
      "state": "TN",
      "zipCode": "12345"
    },
    "meta_data": { "your_reference_user_id": "abc-123" }
  }'

Example: Progressive Auto Insurance Policy Search (Option C)

curl -X POST https://app.usecanopy.com/api/v1.0.0/teams/{teamId}/policySearch \
  -H 'x-canopy-client-id: YOUR_CLIENT_ID' \
  -H 'x-canopy-client-secret: YOUR_CLIENT_SECRET' \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -d '{
    "public_alias": "your-widget-alias",
    "insurerName": "progressive",
    "searchType": "AUTO_POLICY",
    "searchData": {
      "zipCode": "12345",
      "dateOfBirth": "01/25/1990",
      "policyNumber: "123456789"
    },
    "meta_data": { "your_reference_user_id": "abc-123" },
    "device_identifier": "your-device-identifier",
    "terms_version": 1,
    "consent_language": "By selecting “Continue” you agree to the Canopy Connect Terms & Privacy Policy"
  }'

Immediate response

A successful request returns 200 with the new Pull's ID and JWT you can use to track it:

{
  "pull_id": "00000000-0000-0000-0000-000000000000",
  "pull_jwt": "eyJhbGciOi..."
}

Error responses

StatusMeaning
400Invalid input. Invalid searchType/insurerName, unknown public_alias, or searchData is missing a required field or contains an extra field.
401Missing or invalid API credentials.
403API key inactive, IP not whitelisted, or your account lacks access to Policy Search.
500Unexpected server error

Example Auto Policy Search Result

Use webhooks to receive realtime notifications when verifications complete. Upon receiving the webhook, fetch the auto insurance policy data via the GET /pulls/:pullId endpoint

{
    "success": true,
    "pull": {
        "answers": [],
        "first_name": "Clark",
        "middle_name": "J",
        "last_name": "Kent",
        "work_phone": null,
        "work_phone_extension": null,
        "mobile_phone": null,
        "home_phone": null,
        "gender": null,
        "marital_status": null,
        "education": null,
        "occupation": null,
        "email": null,
        "account_email": null,
        "phone": null,
        "pull_id": "85fe68d4-8da1-472a-b34d-db9a662ec2fa",
        "status": "SUCCESS",
        "insurance_provider_name": "progressive",
        "team_id": "0f902ea1-908f-4893-839f-fb4ee3501645",
        "widget_id": "cc1acb96-78e7-4a21-8311-115730543c59",
        "is_archived": false,
        "created_at": "2025-06-27T15:24:48.749Z",
        "no_policies": false,
        "no_documents": false,
        "no_claims": false,
        "no_loss_events": false,
        "policies_selection_enabled": false,
        "type": "POLICY_LOOKUP",
        "skipped_product_types": null,
        "insurance_type_selection": null,
        "meta_data": null,
        "insurance_provider_friendly_name": "Progressive",
        "no_drivers": false,
        "account_identifier": null,
        "public_alias": "demo",
        "deleted_at": null,
        "public_url": "https://app.usecanopy.com/c/demo",
        "encountered_mfa": false,
        "funnel": null,
        "policies": [
            {
                "policy_id": "55cd2c6e-4666-4549-96b3-24f58724663e",
                "name": "AUTO # 123456789",
                "description": "Effective 06/22/2025 - 12/22/2025",
                "carrier_policy_number": "123456789",
                "policy_type": "AUTO",
                "effective_date": "2025-06-22T06:00:00.000Z",
                "expiry_date": "2025-12-22T07:00:00.000Z",
                "renewal_date": "2025-12-22T07:00:00.000Z",
                "canceled_date": null,
                "total_premium_cents": null,
                "carrier_name": "progressive",
                "status": "ACTIVE",
                "limited_access": false,
                "form_of_business": null,
                "deductible_cents": null,
                "paid_in_full": null,
                "amount_due_cents": null,
                "amount_paid_cents": null,
                "is_selected": false,
                "total_estimated_annual_premium_cents": null,
                "total_minimum_premium_cents": null,
                "total_deposit_premium_cents": null,
                "carrier_friendly_name": "Progressive",
                "is_monoline": true,
                "dwellings": [],
                "locations": [],
                "vehicles": [
                    {
                        "vehicle_id": "c4c443ed-1799-4074-b868-cbdc5a297704",
                        "year": 2018,
                        "make": "CHEVROLET",
                        "model": "Camaro",
                        "series": "ZL1",
                        "series2": null,
                        "type": "PASSENGER CAR",
                        "annual_mileage": null,
                        "vin": "1ABC2DEF3GH456789",
                        "hin": null,
                        "serial_number": null,
                        "uses": null,
                        "purchase_date": null,
                        "ownership_type": null,
                        "features": null,
                        "is_removed": false,
                        "data_source": "CARRIER",
                        "lien_holder": null,
                        "garaging_address": null,
                        "lien_holder_address": null,
                        "coverages": [
                            {
                                "vehicle_coverage_id": "673d7cdd-49d3-4290-aa53-178353009703",
                                "name": "BODILY_INJURY_LIABILITY",
                                "friendly_name": "Bodily Injury Liability",
                                "premium_cents": null,
                                "per_person_limit_cents": 5000000,
                                "per_person_unlimited": false,
                                "per_incident_limit_cents": 10000000,
                                "per_incident_unlimited": false,
                                "per_day_limit_cents": null,
                                "deductible_cents": null,
                                "actual_cash_value": false,
                                "is_declined": false,
                                "per_mile_premium_tenth_of_cents": null,
                                "max_days": null
                            },
                            {
                                "vehicle_coverage_id": "ccd6f609-5f8a-47db-a4e0-a4cb7ba4072af",
                                "name": "PROPERTY_DAMAGE_LIABILITY",
                                "friendly_name": "Property Damage Liability",
                                "premium_cents": null,
                                "per_person_limit_cents": null,
                                "per_person_unlimited": false,
                                "per_incident_limit_cents": 5000000,
                                "per_incident_unlimited": false,
                                "per_day_limit_cents": null,
                                "deductible_cents": null,
                                "actual_cash_value": false,
                                "is_declined": false,
                                "per_mile_premium_tenth_of_cents": null,
                                "max_days": null
                            },
                            {
                                "vehicle_coverage_id": "02f4f81e-78e0-4c49-a668-d614db360b1d",
                                "name": "COLLISION",
                                "friendly_name": "Collision",
                                "premium_cents": null,
                                "per_person_limit_cents": null,
                                "per_person_unlimited": false,
                                "per_incident_limit_cents": null,
                                "per_incident_unlimited": false,
                                "per_day_limit_cents": null,
                                "deductible_cents": 150000,
                                "actual_cash_value": false,
                                "is_declined": false,
                                "per_mile_premium_tenth_of_cents": null,
                                "max_days": null
                            },
                            {
                                "vehicle_coverage_id": "17d232e5-81e8-4e02-b96f-87a0501c36e1",
                                "name": "COMPREHENSIVE",
                                "friendly_name": "Comprehensive",
                                "premium_cents": null,
                                "per_person_limit_cents": null,
                                "per_person_unlimited": false,
                                "per_incident_limit_cents": null,
                                "per_incident_unlimited": false,
                                "per_day_limit_cents": null,
                                "deductible_cents": 100000,
                                "actual_cash_value": false,
                                "is_declined": false,
                                "per_mile_premium_tenth_of_cents": null,
                                "max_days": null
                            }
                        ],
                        "drivers": [
                            {
                                "first_name": "Clark",
                                "middle_name": "J",
                                "last_name": "Kent",
                                "drivers_license": null,
                                "date_of_birth_str": null,
                                "gender": null,
                                "marital_status": null,
                                "age": null,
                                "age_on_date": null,
                                "education": null,
                                "occupation": null,
                                "age_licensed": null,
                                "data_source": "CARRIER",
                                "driver_id": "9632b541-e755-4c99-9a2d-5b04bcb0829b",
                                "is_excluded": false
                            },
                            {
                                "first_name": "Lois",
                                "middle_name": "",
                                "last_name": "Lane",
                                "drivers_license": null,
                                "date_of_birth_str": null,
                                "gender": null,
                                "marital_status": null,
                                "age": null,
                                "age_on_date": null,
                                "education": null,
                                "occupation": null,
                                "age_licensed": null,
                                "data_source": "CARRIER",
                                "driver_id": "43077ae8-7a68-45c0-b267-0c3151ebcf2f",
                                "is_excluded": false
                            }
                        ],
                        "GaragingAddress": null,
                        "LienHolderAddress": null
                    }
                ],
                "commercial_named_insureds": [],
                "named_insureds": [
                    {
                        "named_insured_id": "c9d1bacf-701d-42f6-a728-385db7f7268e",
                        "first_name": "Clark",
                        "middle_name": "J",
                        "last_name": "Kent",
                        "full_name": null,
                        "is_primary_named_insured": true
                    }
                ],
                "forms_and_endorsements": [],
                "transactions": [],
                "notices": [],
                "billing_accounts": [],
                "payments": [],
                "policy_check": {
                    "status": "NONE",
                    "details": {}
                }
            }
        ],
        "drivers": [
            {
                "first_name": "Clark",
                "middle_name": "J",
                "last_name": "Kent",
                "drivers_license": null,
                "date_of_birth_str": null,
                "gender": null,
                "marital_status": null,
                "age": null,
                "age_on_date": null,
                "education": null,
                "occupation": null,
                "age_licensed": null,
                "data_source": "CARRIER",
                "driver_id": "9632b541-e755-4c99-9a2d-5b04bcb0829b"
            },
            {
                "first_name": "Lois",
                "middle_name": "",
                "last_name": "Lane",
                "drivers_license": null,
                "date_of_birth_str": null,
                "gender": null,
                "marital_status": null,
                "age": null,
                "age_on_date": null,
                "education": null,
                "occupation": null,
                "age_licensed": null,
                "data_source": "CARRIER",
                "driver_id": "43077ae8-7a68-45c0-b267-0c3151ebcf2f"
            }
        ],
        "documents": [],
        "addresses": [],
        "claims": [],
        "driving_records": [],
        "loss_events": [],
        "agents": [
            {
                "agent_info_id": "b7ca38c9-a97d-4562-8a3b-5e88c50195e4",
                "address_id": null,
                "agency_name": null,
                "agent_full_name": "Progressive",
                "phone_number": "8001234567",
                "email": null,
                "agent_code": null,
                "policy_ids": [
                    "55cd2c6e-4666-4549-96b3-24f58724663e"
                ]
            }
        ],
        "non_policy_linked_data": {
            "dwellings": [],
            "vehicles": []
        },
        "policy_check_status": "NONE"
    }
}

Home Insurance Policy Search

Home insurance policy search returns verified home insurance policy information without the need for login credentials.

Carrier-specific Search Input and Output

USAAAmerican FamilyLiberty Mutual
Inputs
Policy NumberRequiredRequiredRequired
Hurricane Policy NumberOptional
Property AddressRequired
House NumberRequired
ZipRequiredRequired
First Named Insured - First NameRequired
First Named Insured - Last NameRequired
Second Named Insured - First NameIf exists
Second Named Insured - Last NameIf exists
First Mortgagee NameRequired
First Mortgagee Name Line 2Required
AddressRequired
CityRequired
StateRequired
ZipRequired
Outputs
Meets Fannie Mae Requirements
Named insured
Property Address
Insurance Company Name
Insurance Company Address
Insurance Contact Email
Insurance Contact Phone
Policy Number
Policy Type (HO6, HO3, DP3, etc)
Effective Date
Expiration Date
Policy premium
Total Amount Paid
Total Amount Due
Dwelling coverage
Extended dwelling coverage (if applicable)
Settlement basisOnly if extended dwelling coverage is present, otherwise unknown
Standard extended coverage endorsement
Roof materials settlement basis
Building ordinance coverage (yes or no)
Deductible amount
Wind-loss deductible (if noted separately)
First Mortgagee
Second Mortgagee, for HELOCs (if needed)